﻿const buildConfigCommon = require("./builder-config-common");

let buildConfigMac = {
  mac: {
    target: {
      arch: "arm64",
      target: "zip",
    },
    icon: "assets/favicon.icns",
    entitlements: "builder-config/entitlements.mac.plist",
    hardenedRuntime: true,
    extendInfo: {
      NSCameraUsageDescription: "Request camera usage",
      NSMicrophoneUsageDescription: "Request mic usage",
    },
  },
  asar: false, // asar打包
};

Object.assign(buildConfigMac, buildConfigCommon);

module.exports = buildConfigMac;
