﻿const packageJson = require("./package.json");

// see https://www.electron.build/configuration/configuration#configuration
let buildConfigCommon = {
  productName: `${packageJson.name}`,
  artifactName: "${productName}.${ext}",
  appId: "com.byteplus.electron.quickstart.demo",
  files: ["**/*"],
  directories: {
    buildResources: "app",
    output: "output",
    app: "app",
  },
  compression: "maximum",
  asarUnpack: ["rtc"],
};

module.exports = buildConfigCommon;
